List product catalogs
curl --request GET \
--url https://apiv2.example.com/product-catalogs \
--header 'X-Api-Key: <api-key>'import requests
url = "https://apiv2.example.com/product-catalogs"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://apiv2.example.com/product-catalogs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"productCatalogId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"name": "US Consumer Catalog",
"extendsDefault": true,
"description": "Product catalog for US consumer customers"
}
],
"pagination": {
"nextCursor": "<string>"
}
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}Product Catalogs
List product catalogs
List all product catalogs with optional text search filtering and pagination.
Product catalogs define curated sets of product offerings for specific contexts such as customer segments, regions, or sales channels.
GET
/
product-catalogs
List product catalogs
Authorizations
apiKeybearerAuth & apiKey
An API key that grants access to the Connect API. You can create and manage API keys in the portal.
Query Parameters
Filter by catalog name or ID prefix.
The maximum number of items to return.
Required range:
1 <= x <= 1000Opaque pagination token from a previous response's nextCursor.
⌘I